<?php
/**
 * TOP API: alibaba.alihealth.drugtrace.top.yljg.service.getenddate request
 * 
 * @author auto create
 * @since 1.0, 2023.03.14
 */
class AlibabaAlihealthDrugtraceTopYljgServiceGetenddateRequest
{
	/** 
	 * 药 行业线：传 1 
	 **/
	private $business;
	
	/** 
	 * 调用接口的企业ID
	 **/
	private $refEntId;
	
	/** 
	 * 基础版：传 11
	 **/
	private $service;
	
	private $apiParas = array();
	
	public function setBusiness($business)
	{
		$this->business = $business;
		$this->apiParas["business"] = $business;
	}

	public function getBusiness()
	{
		return $this->business;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setService($service)
	{
		$this->service = $service;
		$this->apiParas["service"] = $service;
	}

	public function getService()
	{
		return $this->service;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drugtrace.top.yljg.service.getenddate";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->business,"business");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->service,"service");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
